Index: /trunk/admin/configuration.php
===================================================================
--- /trunk/admin/configuration.php	(revision 11284)
+++ /trunk/admin/configuration.php	(revision 11285)
@@ -79,4 +79,5 @@
     'index_created_date_icon',
     'index_slideshow_icon',
+    'index_new_icon',
     'picture_metadata_icon',
     'picture_slideshow_icon',
Index: /trunk/admin/themes/default/template/configuration.tpl
===================================================================
--- /trunk/admin/themes/default/template/configuration.tpl	(revision 11284)
+++ /trunk/admin/themes/default/template/configuration.tpl	(revision 11285)
@@ -240,4 +240,11 @@
         <input type="checkbox" name="menubar_filter_icon" {if ($display.menubar_filter_icon)}checked="checked"{/if}>
       </label>
+    </li>    
+    
+    <li>
+      <label>
+        <span class="property">{'Activate icon "new" next to albums and pictures'|@translate}</span>
+        <input type="checkbox" name="index_new_icon" {if ($display.index_new_icon)}checked="checked"{/if}>
+      </label>
     </li>
 
Index: /trunk/include/category_cats.inc.php
===================================================================
--- /trunk/include/category_cats.inc.php	(revision 11284)
+++ /trunk/include/category_cats.inc.php	(revision 11285)
@@ -307,5 +307,4 @@
           'TN_SRC'   => $thumbnail_src_of[$category['representative_picture_id']],
           'TN_ALT'   => strip_tags($category['name']),
-          'icon_ts'  => get_icon($category['max_date_last'], $category['is_child_date_last']),
 
           'URL'   => make_index_url(
@@ -329,4 +328,8 @@
           'NAME'  => $name,
         );
+    if ($conf['index_new_icon'])
+    {
+      $row['icon_ts'] = get_icon($category['max_date_last'], $category['is_child_date_last']);
+    }
 
     if ($conf['display_fromto'])
Index: /trunk/include/category_default.inc.php
===================================================================
--- /trunk/include/category_default.inc.php	(revision 11284)
+++ /trunk/include/category_default.inc.php	(revision 11285)
@@ -111,5 +111,4 @@
       'TN_ALT'    => $row['file'],
       'TN_TITLE'  => get_thumbnail_title($row),
-      'icon_ts'   => get_icon($row['date_available']),
       'URL'       => $url,
 
@@ -128,4 +127,8 @@
                 true:false, /* lack of include/functions_picture.inc.php */
     );
+  if ($conf['index_new_icon'])
+  {
+    $row['icon_ts'] = get_icon($row['date_available']);
+  }
 
   if ($user['show_nb_hits'])
Index: /trunk/include/functions_category.inc.php
===================================================================
--- /trunk/include/functions_category.inc.php	(revision 11284)
+++ /trunk/include/functions_category.inc.php	(revision 11285)
@@ -51,5 +51,5 @@
 function get_categories_menu()
 {
-  global $page, $user, $filter;
+  global $page, $user, $filter, $conf;
 
   $query = '
@@ -111,5 +111,5 @@
           $row['name'],
           'get_categories_menu'
-        ),
+          ),
         'TITLE' => get_display_images_count(
           $row['nb_images'],
@@ -118,12 +118,15 @@
           false,
           ' / '
-        ),
+          ),
         'URL' => make_index_url(array('category' => $row)),
         'LEVEL' => substr_count($row['global_rank'], '.') + 1,
-        'icon_ts' => get_icon($row['max_date_last'], $child_date_last),
         'SELECTED' => $selected_category['id'] == $row['id'] ? true : false,
         'IS_UPPERCAT' => $selected_category['id_uppercat'] == $row['id'] ? true : false,
-      )
-    );
+        )
+      );
+    if ($conf['index_new_icon'])
+    {
+      $row['icon_ts'] = get_icon($row['max_date_last'], $child_date_last);
+    }
     array_push($cats, $row);
     if ($row['id']==@$page['category']['id']) //save the number of subcats for later optim
Index: /trunk/install/config.sql
===================================================================
--- /trunk/install/config.sql	(revision 11284)
+++ /trunk/install/config.sql	(revision 11285)
@@ -37,4 +37,5 @@
 INSERT INTO piwigo_config (param,value,comment) VALUES ('index_created_date_icon','true','Display calendar by creation date icon');
 INSERT INTO piwigo_config (param,value,comment) VALUES ('index_slideshow_icon','true','Display slideshow icon');
+INSERT INTO piwigo_config (param,value,comment) VALUES ('index_new_icon','true','Display new icons next albums and pictures');
 INSERT INTO piwigo_config (param,value,comment) VALUES ('picture_metadata_icon','true','Display metadata icon on picture page');
 INSERT INTO piwigo_config (param,value,comment) VALUES ('picture_slideshow_icon','true','Display slideshow icon on picture page');
Index: /trunk/install/db/107-database.php
===================================================================
--- /trunk/install/db/107-database.php	(revision 11285)
+++ /trunk/install/db/107-database.php	(revision 11285)
@@ -0,0 +1,42 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2011 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+if (!defined('PHPWG_ROOT_PATH'))
+{
+  die('Hacking attempt!');
+}
+
+$upgrade_description = 'Display new icons next albums and pictures';
+
+$query = '
+INSERT INTO piwigo_config (param,value,comment) 
+  VALUES (\'index_new_icon\',\'true\',\'Display new icons next albums and pictures\')
+;';
+pwg_query($query);
+
+echo
+"\n"
+. $upgrade_description
+."\n"
+;
+?>
Index: /trunk/language/en_UK/admin.lang.php
===================================================================
--- /trunk/language/en_UK/admin.lang.php	(revision 11284)
+++ /trunk/language/en_UK/admin.lang.php	(revision 11285)
@@ -99,4 +99,5 @@
 $lang['Activate Navigation Thumbnails'] = 'Activate navigation thumbnails';
 $lang['Activate'] = "Activate";
+$lang['Activate icon "new" next to albums and pictures'] = 'Activate icon "new" next to albums and pictures';
 $lang['Active Languages'] = 'Active Languages';
 $lang['Active Plugins'] = 'Active Plugins';
Index: /trunk/language/fr_FR/admin.lang.php
===================================================================
--- /trunk/language/fr_FR/admin.lang.php	(revision 11284)
+++ /trunk/language/fr_FR/admin.lang.php	(revision 11285)
@@ -853,3 +853,4 @@
 $lang['As default order'] = "Comme l'ordre par défaut";
 $lang['Custom'] = "Personnalisé";
+$lang['Activate icon "new" next to albums and pictures'] = 'Afficher l\'icône "nouveau" à côté des albums et des photos';
 ?>