Index: /extensions/PaysonsPlaces/template.php
===================================================================
--- /extensions/PaysonsPlaces/template.php	(revision 11308)
+++ /extensions/PaysonsPlaces/template.php	(revision 11309)
@@ -1,9 +1,143 @@
 <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml">
-<head>
-<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+<html xmlns="http://www.w3.org/1999/xhtml"><head>
+<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
 <title>Title</title>
 
 <style>
+#navigation-1 {
+	background-color: #666666;
+
+	padding:1px 0;
+	margin:0px;
+	list-style:none;
+	width:100%;
+	height:21px;
+	border-top:1px solid #FFFFFF;
+	border-bottom:1px solid #FFFFFF;
+	font:normal 8pt verdana, arial, helvetica;
+}
+
+#navigation-1 li {
+	margin:0;
+	padding:0;
+	display:block;
+	float:left;
+	position:relative;
+	/*width:148px;*/
+}
+
+#navigation-1 li a:link, #navigation-1 li a:visited {
+	padding:4px 0;
+	display:block;
+	text-align:center;
+	text-decoration:none;
+	color:#ffffff;
+	width:148px;
+	height:13px;
+	background-color: #666666;
+}
+
+#navigation-1 li:hover a, #navigation-1 li a:hover, #navigation-1 li a:active {
+	padding:4px 0;
+	display:block;
+	text-align:center;
+	text-decoration:none;
+	color:#ffffff;
+	width:146px;
+	height:13px;
+	border-left:1px solid #ffffff;
+	border-right:1px solid #ffffff;
+	background-color: #999999;
+}
+
+#navigation-1 li ul.navigation-2 {
+	margin:0;
+	padding:1px 1px 0;
+	list-style:none;
+	display:none;
+	width:146px;
+	position:absolute;
+	top:21px;
+	left:-1px;
+	border:1px solid #000000;
+	border-top:none;
+	background-color: #FFFFFF;
+}
+
+#navigation-1 li:hover ul.navigation-2 {
+	display:block;
+}
+
+#navigation-1 li ul.navigation-2 li {
+	width:146px;
+	clear:left;
+	width:146px;
+}
+
+#navigation-1 li ul.navigation-2 li a:link, #navigation-1 li ul.navigation-2 li a:visited {
+	clear:left;
+	padding:4px 0;
+	width:146px;
+	border:none;
+	border-bottom:1px solid #ffffff;
+	position:relative;
+	z-index:1000;
+	background-color: #666666;
+}
+
+#navigation-1 li ul.navigation-2 li:hover a, #navigation-1 li ul.navigation-2 li a:active, #navigation-1 li ul.navigation-2 li a:hover {
+	clear:left;
+	padding:4px 0;
+	width:146px;
+	border:none;
+	border-bottom:1px solid #ffffff;
+	position:relative;
+	z-index:1000;
+	background-color: #666666;
+}
+
+#navigation-1 li ul.navigation-2 li ul.navigation-3 {
+	display:none;
+	margin:0;
+	padding:0;
+	list-style:none;
+	position:absolute;
+	left:145px;
+	top:-2px;
+	padding:1px 1px 0 1px;
+	border:1px solid #000000;
+	border-left:1px solid #000000;
+	z-index:900;
+	background-color: #FFFFFF;
+}
+
+#navigation-1 li ul.navigation-2 li:hover ul.navigation-3 {
+	display:block;
+}
+
+#navigation-1 li ul.navigation-2 li ul.navigation-3 li a:link, #navigation-1 li ul.navigation-2 li ul.navigation-3 li a:visited {
+	background-color: #666666;
+}
+
+#navigation-1 li ul.navigation-2 li ul.navigation-3 li:hover a, #navigation-1 li ul.navigation-2 li ul.navigation-3 li a:hover, #navigation-1 li ul.navigation-2 li ul.navigation-3 li a:active {
+	background-color: #666666;
+}
+
+#navigation-1 li ul.navigation-2 li a span {
+	position:absolute;
+	top:0;
+	left:132px;
+	font-size:12pt;
+	color:#999999;
+}
+
+#navigation-1 li ul.navigation-2 li:hover a span, #navigation-1 li ul.navigation-2 li a:hover span {
+	position:absolute;
+	top:0;
+	left:132px;
+	font-size:12pt;
+	color:#ffffff;
+}
+
 /*  */
     #footer {
@@ -48,5 +182,17 @@
 	background-attachment: fixed;
 	background-repeat: no-repeat;
+	padding: 10px;
+	padding-left: 0px;
+	padding-right: 0px;
  }
+#float_r  {
+	letter-spacing: normal;
+	text-align: left;
+	text-indent: 5px;
+	word-spacing: normal;
+	margin: 0;
+	width: 10px;
+	padding: 0;
+}
 	
 
@@ -65,5 +211,32 @@
 	#banner    {
 	text-align: center;
-}
+	padding: 5px;
+}
+/* */
+/** 
+* Generated by www.formstylegenerator.com 
+**/
+
+/** You can use this style for your INPUT, TEXTAREA, SELECT elements **/
+.myinputstyle {
+	border: 1px solid #FFFFFF;
+	/** remember to change image path **/
+	background: url(bg3218635145) repeat-x #FFFFFF;
+	font-family: tahoma, helvetica, sans-serif;
+	font-style: normal;
+	font-size: 14px;
+	color: #454743;
+}
+
+/** You can use this style for your LABEL elements **/
+.mylabelstyle {
+	font-family: tahoma, helvetica, sans-serif;
+	font-style: bold;
+	font-size: 13px;
+	color: #82983e;
+}
+
+
+
 </style>
 </head>
@@ -71,10 +244,32 @@
 <body>
 <table cellspacing="20">
-		<tr>
-		  <td id="headercontainer">
+		<tbody><tr>
+		  <td id="container">
 	<div id="banner">
-<img src="images/Banner.png" />
+<img src="template2.php_files/Banner.png">
 	</div>
-			</td>
+<ul id="navigation-1">
+   
+   
+<li><input name="myname" style="" value="Search" type="text"></li>
+
+<li><a href="#" title="menu" target="_self">menu</a></li>
+   <li><a href="#" title="menu" target="_self">menu</a>
+      <ul class="navigation-2">
+         <li><a href="#" title="menu" target="_self">menu</a></li>
+         <li><a href="#" title="menu" target="_self">menu</a></li>
+      </ul>
+   </li>
+   <li><a href="#" title="menu" target="_self">menu</a>
+      <ul class="navigation-2">
+         <li><a href="#" title="menu" target="_self">menu</a></li>
+         <li><a href="#" title="menu" target="_self">menu</a></li>
+      </ul>
+   </li>
+
+</ul>
+ 
+
+		  </td>
 		</tr>
 		<tr>
@@ -92,5 +287,10 @@
 			</td>
 	</tr>
-</table>
-</body>
-</html>
+</tbody></table>
+
+
+
+
+
+
+</body></html>
Index: /extensions/PaysonsPlaces/template/footer.tpl
===================================================================
--- /extensions/PaysonsPlaces/template/footer.tpl	(revision 11308)
+++ /extensions/PaysonsPlaces/template/footer.tpl	(revision 11309)
@@ -1,7 +1,6 @@
-			</td>
+<link rel="stylesheet" type="text/css" href="../theme.css">
+</td>
 		</tr>
-  <tr>
-	<td id="shadow">
-<div id="copyright">
+  <tr><td id="footer">
 {if isset($debug.TIME)}
 	{'Page generated in'|@translate} {$debug.TIME} ({$debug.NB_QUERIES} {'SQL queries in'|@translate} {$debug.SQL_TIME}) -
@@ -26,5 +25,5 @@
 {/foreach}
 {/if}
-</div> {* copyright *}
+{* copyright *}
 {if isset($debug.QUERIES_LIST)}
 <div id="debug">
@@ -32,7 +31,10 @@
 </div>
 {/if}
-</div></td>
+
+
+			</td>
 	</tr>
-</table>{* the_page *}
+</tbody></table>
+{* the_page *}
 </body>
 </html>
Index: /extensions/PaysonsPlaces/template/header.tpl
===================================================================
--- /extensions/PaysonsPlaces/template/header.tpl	(revision 11308)
+++ /extensions/PaysonsPlaces/template/header.tpl	(revision 11309)
@@ -53,12 +53,13 @@
 	{/foreach}
 {/if}
-
+<link rel="stylesheet" type="text/css" href="../theme.css">
 </head>
 
 <body id="{$BODY_ID}">
-<div id="the_page">
-<table cellspacing="20" cellpadding="5">
-		<tr>
-		  <td id="headercontainer">
+<table id="fullheight" cellspacing="20" >
+
+		<tbody><tr>
+		  <td id="banner">
+          
 {if not empty($header_msgs)}
 <div class="header_msgs">
@@ -78,6 +79,7 @@
 </div>
 {/if}
-			</td>
+<div><img src="themes/paysonsplaces/images/banner.png"></div>
+{$MENUBAR}</td>
 		</tr>
 		<tr>
-			<td id="shadow">
+			<td id="main_box">
Index: /extensions/PaysonsPlaces/template/index.tpl
===================================================================
--- /extensions/PaysonsPlaces/template/index.tpl	(revision 11308)
+++ /extensions/PaysonsPlaces/template/index.tpl	(revision 11309)
@@ -1,6 +1,6 @@
-{$MENUBAR}
+
 {if !empty($PLUGIN_INDEX_CONTENT_BEFORE)}{$PLUGIN_INDEX_CONTENT_BEFORE}{/if}
-<div id="content" class="content">
-<div class="titrePage">
+
+
 	<ul class="categoryActions">
 {if !empty($image_orders)}
@@ -62,5 +62,5 @@
 	</ul>
 
-<h2>{$TITLE}</h2>
+<div id="navigation-1">{$TITLE}</div>
 
 {if isset($chronology_views)}
Index: /extensions/PaysonsPlaces/template/menubar.tpl
===================================================================
--- /extensions/PaysonsPlaces/template/menubar.tpl	(revision 11308)
+++ /extensions/PaysonsPlaces/template/menubar.tpl	(revision 11309)
@@ -1,6 +1,13 @@
 {if !empty($blocks) }
-<div id="menubar">
+<ul id="navigation-1"><li id="search_box">
+	<form action="{$ROOT_URL}qsearch.php" method="get" id="quicksearch" onsubmit="return this.q.value!='' && this.q.value!=qsearch_prompt;">
+		<p style="margin:0;padding:0"{*this <p> is for html validation only - does not affect positioning*}>
+			<input type="text" name="q" id="qsearchInput" onfocus="if (value==qsearch_prompt) value='';" onblur="if (value=='') value=qsearch_prompt;" style="width:90%">
+		</p>
+	</form>
+	<script type="text/javascript">var qsearch_prompt="{'Quick search'|@translate|@escape:'javascript'}"; document.getElementById('qsearchInput').value=qsearch_prompt;</script>
+</li>
 	{foreach from=$blocks key=id item=block}
-	<dl id="{$id}">
+	<li>
 		{if not empty($block->template)}
 		{include file=$block->template|@get_extent:$id }
@@ -8,6 +15,6 @@
 		{$block->raw_content}
 		{/if}
-	</dl>
+	</li>
 	{/foreach}
-</div>
+</ul>
 {/if}
Index: /extensions/PaysonsPlaces/template/navigation_bar.tpl
===================================================================
--- /extensions/PaysonsPlaces/template/navigation_bar.tpl	(revision 11309)
+++ /extensions/PaysonsPlaces/template/navigation_bar.tpl	(revision 11309)
@@ -0,0 +1,28 @@
+<div class="navigationBar">
+  {if isset($navbar.URL_FIRST)}
+  <a href="{$navbar.URL_FIRST}" rel="first">{'First'|@translate}</a> |
+  <a href="{$navbar.URL_PREV}" rel="prev">{'Previous'|@translate}</a> |
+  {else}
+  {'First'|@translate} |
+  {'Previous'|@translate} |
+  {/if}
+
+  {assign var='prev_page' value=0}
+  {foreach from=$navbar.pages key=page item=url}
+    {if $page > $prev_page+1}...{/if}
+    {if $page == $navbar.CURRENT_PAGE}
+    <span class="pageNumberSelected">{$page}</span>
+    {else}
+    <a href="{$url}">{$page}</a>
+    {/if}
+    {assign var='prev_page' value=$page}
+  {/foreach}
+
+  {if isset($navbar.URL_NEXT)}
+  | <a href="{$navbar.URL_NEXT}" rel="next">{'Next'|@translate}</a>
+  | <a href="{$navbar.URL_LAST}" rel="last">{'Last'|@translate}</a>
+  {else}
+  | {'Next'|@translate}
+  | {'Last'|@translate}
+  {/if}
+</div>
Index: /extensions/PaysonsPlaces/theme.css
===================================================================
--- /extensions/PaysonsPlaces/theme.css	(revision 11308)
+++ /extensions/PaysonsPlaces/theme.css	(revision 11309)
@@ -1,123 +1,139 @@
-
-/* text color */
-BODY, H1, H2, H3, DT,
-INPUT.rateButtonSelected /* <= why IE doesn't inherit this ? */ {
-	color:#696969;	/* dimgray */
-}
-
-/* backgrounds */
-BODY, H3 {
-	background-color: #ffffff;	/* white */
-}
-
-H2, #menubar DT, #imageHeaderBar, #imageToolBar A:hover {
-	background-color: #d3d3d3;
-}
-
-#menubar DL, .content, #imageToolBar, .header_notes {
-  background-color: #eeeeee;
-}
-
-/* borders */
-#menubar DL, .content, #imageToolBar {
-  border: 1px solid #d3d3d3;
-}
-
-#theImage IMG {
-  border: 3px solid #d3d3d3;
-}
-
-/*I think this rule is never used*/
-.content UL.thumbnail IMG {
-    border: 1px solid #a0a0a0;
-}
-
-FIELDSET, INPUT, SELECT, TEXTAREA,
-.content .thumbnailCategory {
-  border: 1px solid gray;
-}
-
-.thumbnails .wrap2 {
-  border: 1px solid #aaaaaa;	/* thumbnails border color and style */
-}
-
-.thumbnails .wrap2:hover,
-.content .thumbnailCategories .thumbnailCategory:hover,
-.content .thumbnailCategories .thumbnailCategory:hover A {
-  background-color: #faebd7;
-  border-color: yellow;		/* thumbnails border color when mouse cursor is over it */
-  color: black;
-}
-
-/* links */
-A, INPUT.rateButton {
-	color: #005e89;
-	background: transparent;
-	border-bottom: 1px dotted #005e89;
-}
-
-A:hover, INPUT.rateButton:hover {
-    color: #808060;
-}
-
-A.pwg-state-default {
-	border: 0;
-}
-
-A.navThumb, A.navThumb:hover {
-    border-bottom: none;
-}
-
-/*calendar elements*/
-.calItem, .calItemEmpty
-{
-  border: 1px solid silver;
-}
-
-#qsearchInput { color: #005e89; }
-
-.pwg-icon {
-	background-image: url(../default/s26/outline_005e89.png);
-}
-
-A:hover .pwg-icon {
-	background-image: url(../default/s26/outline_808060.png);
+#navigation-1 {
+	background-color: #666666;
+	padding:1px 0;
+	margin:0px;
+	list-style:none;
+	width:100%;
+	height:21px;
+	border-top:1px solid #FFFFFF;
+	border-bottom:1px solid #FFFFFF;
+	font:normal 8pt verdana, arial, helvetica;
+}
+
+#navigation-1 li {
+	margin:0;
+	padding:0;
+	display:block;
+	float:left;
+	position:relative;
+	color: #FFFFFF;	/*width:148px;*/
+}
+
+#navigation-1 li a:link, #navigation-1 li a:visited {
+	padding:4px 0;
+	display:block;
+	text-align:center;
+	text-decoration:none;
+	color:#ffffff;
+	width:148px;
+	height:13px;
+	background-color: #666666;
+}
+
+#navigation-1 li:hover a, #navigation-1 li a:hover, #navigation-1 li a:active {
+	padding:4px 0;
+	display:block;
+	text-align:center;
+	text-decoration:none;
+	color:#ffffff;
+	width:146px;
+	height:13px;
+	border-left:1px solid #ffffff;
+	border-right:1px solid #ffffff;
+	background-color: #999999;
+}
+
+#navigation-1 li ul.navigation-2 {
+	margin:0;
+	padding:1px 1px 0;
+	list-style:none;
+	display:none;
+	width:146px;
+	position:absolute;
+	top:21px;
+	left:-1px;
+	border:1px solid #000000;
+	border-top:none;
+	background-color: #FFFFFF;
+}
+
+#navigation-1 li:hover ul.navigation-2 {
+	display:block;
+}
+
+#navigation-1 li ul.navigation-2 li {
+	width:146px;
+	clear:left;
+	width:146px;
+}
+
+#navigation-1 li ul.navigation-2 li a:link, #navigation-1 li ul.navigation-2 li a:visited {
+	clear:left;
+	padding:4px 0;
+	width:146px;
+	border:none;
+	border-bottom:1px solid #ffffff;
+	position:relative;
+	z-index:1000;
+	background-color: #666666;
+}
+
+#navigation-1 li ul.navigation-2 li:hover a, #navigation-1 li ul.navigation-2 li a:active, #navigation-1 li ul.navigation-2 li a:hover {
+	clear:left;
+	padding:4px 0;
+	width:146px;
+	border:none;
+	border-bottom:1px solid #ffffff;
+	position:relative;
+	z-index:1000;
+	background-color: #666666;
+}
+
+#navigation-1 li ul.navigation-2 li ul.navigation-3 {
+	display:none;
+	margin:0;
+	padding:0;
+	list-style:none;
+	position:absolute;
+	left:145px;
+	top:-2px;
+	padding:1px 1px 0 1px;
+	border:1px solid #000000;
+	border-left:1px solid #000000;
+	z-index:900;
+	background-color: #FFFFFF;
+}
+
+#navigation-1 li ul.navigation-2 li:hover ul.navigation-3 {
+	display:block;
+}
+
+#navigation-1 li ul.navigation-2 li ul.navigation-3 li a:link, #navigation-1 li ul.navigation-2 li ul.navigation-3 li a:visited {
+	background-color: #666666;
+}
+
+#navigation-1 li ul.navigation-2 li ul.navigation-3 li:hover a, #navigation-1 li ul.navigation-2 li ul.navigation-3 li a:hover, #navigation-1 li ul.navigation-2 li ul.navigation-3 li a:active {
+	background-color: #666666;
+}
+
+#navigation-1 li ul.navigation-2 li a span {
+	position:absolute;
+	top:0;
+	left:132px;
+	font-size:12pt;
+	color:#999999;
+}
+
+#navigation-1 li ul.navigation-2 li:hover a span, #navigation-1 li ul.navigation-2 li a:hover span {
+	position:absolute;
+	top:0;
+	left:132px;
+	font-size:12pt;
+	color:#ffffff;
 }
 
 /*  */
     #footer {
-	text-align: center;
-	padding: 10px;
-}
-
-	body {
-	height: 100%;
-	width: 100%;
-	background-attachment: fixed;
-	background-repeat: no-repeat;
-	background-image: url(images/bg_c.JPG);
-	margin: 0px;
-	padding: 0px;
-}
-	table {
-	position: relative;
-	/*height: 100%;*/
-	width: 100%;
-	padding-left: 25px;
-	padding-right: 25px;
-	padding-bottom: 20px;
-}
-
-
-	html {
-
-	width: 100%;
-	height: 100%;
-
-	}
-	
-
-	#headercontainer {
-	width: 100%;
+	padding: 10px;
 	-moz-border-radius: 18px;
 	border-radius: 8px;
@@ -125,12 +141,48 @@
 	-moz-box-shadow: 1px 1px 2px;
 	box-shadow: 1px 1px 2px;
-	background-image: url(images/bg_bw.JPG);
-	background-attachment: fixed;
-	background-repeat: no-repeat;
- }
-	
-
-	
-	#shadow {
+	background-image: url(images/bg_bw.jpg);
+	background-attachment: fixed;
+	background-repeat: no-repeat;
+	padding: 10px;
+}
+
+	body {
+	width: 100%;
+	background-attachment: fixed;
+	background-repeat: no-repeat;
+	margin: 0px;
+	padding: 0px;
+	background-image: url(images/bg_c.JPG);
+}
+   html,body{
+      margin:0;
+      padding:0;
+      height:100%;
+      border:none
+   }
+	table {
+	position: relative;
+	width: 100%;
+	padding-left: 25px;
+	padding-right: 25px;
+	padding-bottom: 20px;
+	
+	}
+	
+	#fullheight{
+	height: 100%;
+	
+	}
+	
+	html {
+
+	width: 100%;
+	height: 100%;
+
+	}
+	#banner    {
+	text-align: center;
+	padding: 5px;
+	width: 100%;
 	-moz-border-radius: 18px;
 	border-radius: 8px;
@@ -138,14 +190,35 @@
 	-moz-box-shadow: 1px 1px 2px;
 	box-shadow: 1px 1px 2px;
-	background-image: url(images/bg_bw.JPG);
-	background-attachment: fixed;
-	background-repeat: no-repeat;
+	background-image: url(images/bg.gif);
+	background-attachment: fixed;
+	background-repeat: no-repeat;
+	padding: 10px;
+	padding-left: 0px;
+	padding-right: 0px;
+ }
+
+	
+
+	
+	#main_box {
+	text-align: center;
+	padding: 5px;
+	width: 100%;
+	-moz-border-radius: 18px;
+	border-radius: 8px;
+	-webkit-box-shadow: 1px 1px 2px;
+	-moz-box-shadow: 1px 1px 2px;
+	box-shadow: 1px 1px 2px;
+	background-image: url(images/bg.gif);
+	background-attachment: fixed;
+	background-repeat: no-repeat;
+	padding: 10px;
+	padding-left: 0px;
+	padding-right: 0px;
 	height: 100%;
-}
-	#banner    {
-	text-align: center;
-}
-
-H2 {
-	
-}
+	vertical-align: top;
+
+}
+#search_box {
+	left: 10px;
+}
Index: /extensions/PaysonsPlaces/themeconf.inc.php
===================================================================
--- /extensions/PaysonsPlaces/themeconf.inc.php	(revision 11308)
+++ /extensions/PaysonsPlaces/themeconf.inc.php	(revision 11309)
@@ -1,13 +1,13 @@
 <?php
 /*
-Theme Name: PaysonsPlaces
-Version: 2.2.1
-Description: Static background with 2 images.
+Theme Name: paysonsplaces
+Version: 0.0.2
+Description: 
 Theme URI: http://piwigo.org/ext/extension_view.php?eid=557
 Author: Tearran
-Author URI: http://tearran.deviantart.com/
+Author URI: http://tearran.deviantart.com
 */
 $themeconf = array(
-  'name'  => 'PaysonsPlaces',
+  'name'  => 'paysonsplaces',
   'parent' => 'default',
 );